curl --request GET \
--url https://api.antsfield.com/items/info \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.antsfield.com/items/info"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.antsfield.com/items/info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"sku": "<string>",
"description": "<string>",
"supplierId": "<string>",
"cost": 123,
"sellPrice": 123,
"trackStock": true,
"tagId": "<string>",
"tags": [
{
"id": "<string>",
"name": "<string>",
"color": "red"
}
],
"userId": "<string>",
"workspaceId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"projectId": "<string>",
"supplier": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"phone": "<string>"
},
"lowStockThreshold": 123
}{
"error": {
"code": "bad_request",
"message": "The requested resource was not found.",
"doc_url": "https://docs.antsfield.com/api-reference/errors#bad-request"
}
}{
"error": {
"code": "unauthorized",
"message": "The requested resource was not found.",
"doc_url": "https://docs.antsfield.com/api-reference/errors#unauthorized"
}
}{
"error": {
"code": "forbidden",
"message": "The requested resource was not found.",
"doc_url": "https://docs.antsfield.com/api-reference/errors#forbidden"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found.",
"doc_url": "https://docs.antsfield.com/api-reference/errors#not-found"
}
}{
"error": {
"code": "conflict",
"message": "The requested resource was not found.",
"doc_url": "https://docs.antsfield.com/api-reference/errors#conflict"
}
}{
"error": {
"code": "invite_expired",
"message": "The requested resource was not found.",
"doc_url": "https://docs.antsfield.com/api-reference/errors#invite-expired"
}
}{
"error": {
"code": "unprocessable_entity",
"message": "The requested resource was not found.",
"doc_url": "https://docs.antsfield.com/api-reference/errors#unprocessable-entity"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "The requested resource was not found.",
"doc_url": "https://docs.antsfield.com/api-reference/errors#rate-limit_exceeded"
}
}{
"error": {
"code": "internal_server_error",
"message": "The requested resource was not found.",
"doc_url": "https://docs.antsfield.com/api-reference/errors#internal-server_error"
}
}Retrieve an item
Retrieve the info for an item.
itemId as a query parameter:Authorizations
Bearer API key from Settings → API Keys. Use restricted keys (prefix retrac_) with the minimum scopes required.
Query Parameters
The ID of the workspace.
"ws_cluuwcv0r..."
The slug of the project. This field is deprecated – use workspaceId instead.
The unique ID of the item.
"clux0rgak00011..."
Response
The retrieved item
The unique ID of the short item.
The SKU of the item.
The item description.
The supplier ID of the item.
The item cost.
The default sell price of the item.
Whether this item tracks on-hand stock. When false, the item is catalog-only.
[DEPRECATED] (use tags instead): The unique ID of the tag assigned to the short item.
The tags assigned to the short item.
Show child attributes
Show child attributes
The user ID of the creator of the short item.
The workspace ID of the short item.
The date and time when the short item was created.
The date and time when the short item was last updated.
[DEPRECATED] (use workspaceId instead): The project ID of the short item.
The linked supplier record.
Show child attributes
Show child attributes
Per-item low-stock threshold. Null uses the workspace default.
Was this page helpful?

